Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderAdjustmentPersistence

    java.lang.Object
      com.beasys.commerce.ebusiness.order.OrderAdjustmentPersistence

Deprecated

    @Deprecated
    public class OrderAdjustmentPersistence

extends Object

Create (persist) and Read Order Adjustments Order Adjustments are passed back as part of the Pricing Service Reply and are persisted as part of the Order (for now) persistence model.
It follows the pattern established by the CRUD objects in SmartBMP, ignoring Belonging issues which are not relevant here.
Persistence and reading is done using a connection object passed by the calling method.

Constructor Summary
`OrderAdjustmentPersistence()` Deprecated

Method Summary
`static long[]` | `findOrderAdjustmentPK(Connection connection, String orderPk)` Deprecated Given an Order Identifier and a Connection, returns a array of order adjustment identifier.
`static void` | `insert(Connection connection, long key, String orderId, Date creationDate, OrderAdjustment orderAdjustment)` Deprecated Insert one OrderAdjustment in the ORDER_ADJUSTMENT table, including the previously generated primary key.
`static OrderAdjustmentPresentation` | `query(Connection connection, long key)` Deprecated Query from database one Order Adjustments, using the adjustment primary key information in the where clause.
`static ArrayList` | `retrieveOrderAdjustmentPresentations(Connection connection, OrderPk orderPk)` Deprecated Retrieves all the OrderAdjustment into an ArrayList of OrderAdjustmentPresentation's.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderAdjustmentPersistence

    public OrderAdjustmentPersistence()

  Deprecated

Method Detail

### insert

    public static void insert(Connection connection,
                              long key,
                              String orderId,
                              Date creationDate,
                              OrderAdjustment orderAdjustment)
                       throws BMPException

  Deprecated
  Insert one OrderAdjustment in the ORDER_ADJUSTMENT table, including the previously generated primary key.

  Parameters
    `connection` - the database connection
    `key,` - the key for the ORDER_ADJUSTMENT table
    `orderId,` - the 'foreign' key to the WLCS_ORDER table
    `creationDate,` - the date at which the order and its adjustments are persisted
    `the` - Order Adjustment to be persisted
  Throws
    `BMPException`

### query

    public static OrderAdjustmentPresentation query(Connection connection,
                                                    long key)
                                             throws BMPException

  Deprecated
  Query from database one Order Adjustments, using the adjustment primary key information in the where clause.

  The role is not to query for all the adjustments, that is done in the calling method. Only one adjustmentPresentation is retrieved here, keeping this method clean.

  Parameters
    `connection` - the database connection
    `key,` - the primary key for the adjustment
  Returns
    one OrderAdjustmentPresentation object, to be associated eventually with the orderValue.
  Throws
    `BMPException`

### findOrderAdjustmentPK

    public static long[] findOrderAdjustmentPK(Connection connection,
                                               String orderPk)
                                        throws BMPException

  Deprecated
  Given an Order Identifier and a Connection, returns a array of order adjustment identifier. This can be in turn used to retrieve all OrderAdjustmentPresentation objects

  It selects the PKs in order they were created

  Parameters
    `connection,` - to connect to the Commerce DB
    `orderPk,` - the PK for an order
  Returns
    a long[] of PK, null if none is there.
  Throws
    `BMPException`

### retrieveOrderAdjustmentPresentations

    public static ArrayList retrieveOrderAdjustmentPresentations(Connection connection,
                                                                 OrderPk orderPk)

  Deprecated
  Retrieves all the OrderAdjustment into an ArrayList of OrderAdjustmentPresentation's. These may be then associated with an orderValue, and used by JSP's.

  The returned value may be empty, but not null.

  Parameters
    `connection,` - to connect to the Commerce DB
    `orderPk,` - the PK for an order
  Returns
    an ArrayList of all OrderAdjustmentPresentations objects

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.